import { ModuleWithProviders } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "./order-confirmation/order-confirmation.component";
import * as i2 from "./order-review/order-review.component";
import * as i3 from "./order-review/delivery-information/delivery-information.component";
import * as i4 from "./order-review/order-review-list/order-review-list.component";
import * as i5 from "./order-review/order-review-grid/order-review-grid.component";
import * as i6 from "./custom-checkout/custom-checkout.component";
import * as i7 from "./add-new-address/add-new-address.component";
import * as i8 from "./shared-download-order/shared-download-order.component";
import * as i9 from "@angular/common";
import * as i10 from "@angular/material/card";
import * as i11 from "@angular/material/list";
import * as i12 from "@spartacus/storefront";
import * as i13 from "@angular/forms";
import * as i14 from "@ng-bootstrap/ng-bootstrap";
import * as i15 from "@angular/material/radio";
import * as i16 from "../shared/shared-components.module";
import * as i17 from "@syncfusion/ej2-angular-calendars";
import * as i18 from "ngx-hide-on-scroll";
import * as i19 from "@spartacus/core";
export declare class CheckoutModule {
    constructor(parentModule?: CheckoutModule);
    static forRoot(environment: any): ModuleWithProviders<CheckoutModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckoutModule, [{ optional: true; skipSelf: true; }]>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<CheckoutModule, [typeof i1.OrderConfirmationComponent, typeof i2.OrderReviewComponent, typeof i3.DeliveryInformationComponent, typeof i4.OrderReviewListComponent, typeof i5.OrderReviewGridComponent, typeof i6.CustomCheckoutComponent, typeof i7.AddNewAddressComponent, typeof i8.SharedDownloadOrderComponent], [typeof i9.CommonModule, typeof i10.MatCardModule, typeof i11.MatListModule, typeof i12.MediaModule, typeof i13.FormsModule, typeof i13.ReactiveFormsModule, typeof i14.NgbDatepickerModule, typeof i15.MatRadioModule, typeof i16.SharedComponentsModule, typeof i16.SharedComponentsModule, typeof i17.TimePickerModule, typeof i14.NgbModule, typeof i18.NgxHideOnScrollModule, typeof i19.ConfigModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<CheckoutModule>;
}
