import { ChangeDetectorRef, OnInit } from '@angular/core';
import { CmsService } from '@spartacus/core';
import { BehaviorSubject } from 'rxjs';
import { Options } from '@angular-slider/ngx-slider';
import { OrderHistoryService } from '../services/order-history.service';
import * as i0 from "@angular/core";
export declare class CustomOrderHistoryComponent implements OnInit {
    cmsService: CmsService;
    private orderHistoryService;
    cd: ChangeDetectorRef;
    pageTitle: any;
    orderHistoryHeading: any;
    noOrderHistoryData: any;
    noSearchResultContent: any;
    listview: boolean;
    noSearchResults: boolean;
    dataAvailale?: string;
    orderHistoryLists: any;
    orderSortLists: any;
    orderStatuses: any;
    orderStates: any;
    deliveryTypes: any;
    isDesktop: boolean;
    isMobile: boolean;
    isTablet: boolean;
    showWaitCursor: BehaviorSubject<boolean>;
    optionalColumns: {
        name: string;
        value: string;
    }[];
    selectedOrderState: any;
    selectedOrderType: any;
    logText: any;
    searchText: string;
    storeFrontUrl: string;
    sortByValue: any;
    loaderImage: BehaviorSubject<boolean>;
    currentPage: number;
    totalResults: any;
    selectedDateRange: any;
    selectedDateKey: string;
    selectedFilters: any;
    isClearAll: boolean;
    isInputValue: boolean;
    selectedOption: any;
    options: Options;
    constructor(cmsService: CmsService, orderHistoryService: OrderHistoryService, cd: ChangeDetectorRef);
    ngOnInit(): void;
    getLastMonthDateRange(): void;
    getOrderList(): void;
    clearAll(): void;
    getSearchDropdownData(): void;
    toggleGridOrListView(event: any): void;
    getCheckedOrderStatuses(data: any): boolean;
    checkOrderStatus(event: any, data: any): void;
    removeChips(data: any): void;
    onChange(e: any): void;
    getSelectedDate(event: any): void;
    getStatusValue(): void;
    sortBy(e: any): void;
    getSearchResults(): void;
    onSearchChange(e: any): void;
    loadMoreRecord(): void;
    onScroll(): void;
    onResize(event: any): void;
    onPageRefresh(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomOrderHistoryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomOrderHistoryComponent, "app-custom-order-history", never, {}, {}, never, never>;
}
